Subject: Re: Windows XP network lockup, when using rsync
From: Howard Thomson <[email-masked]>
To: "David Christensen" <[email-masked]>
Cc: [email-masked]
Date: Sat, 26 Aug 2006 09:02:10 +0100

Hi David,

Both pristine, unmodified rsync (as downloaded from cygwin.com as part of the 
standard install) and my modified one (without modifications in use) break XP 
when sending to a slower machine.

rsync works (so far) if I send to my Linux machine which, being a dual 
processor X86-64 with 2Gb of RAM and 100Mb net, can receive as fast as rsync 
can send.

Note that sending to the slower machine using desktop copy, therefore via 
native SMB, is no problem.

There has to be a WinXP problem that is specifically tripped by whatever rsync 
does in using cygwin's implementation of the Posix spec. It is therefore more 
likely, if at all, that other Cygwin users may have experienced the same 
problem.

Regards,

Howard

On Saturday 26 August 2006 04:05, you wrote:
> Howard Thomson wrote:
> > ... am working on the rsync source to add Win32 native backup/restore
> > of the security info.
>
> It sounds like you've broken rsync.
>
>
> Instead of re-inventing the wheel, you could use ntbackup to take the
> backup image and (unmodified) Cygwin rsync for replication.  That's what
> I do, and it works.
>
>
> David

-- 
Howard Thomson

--
"Only two things are infinite, the universe and human stupidity,
and I'm not sure about the former." -- Albert Einstein 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/